Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ConnectionInformation

    public interface ConnectionInformation

Interface `ConnectionInformation` provide imformation of connections.

Method Summary
`int` | `getAttempt()` Gets the retried count of a certain connection.
`int` | `getExpire()` Gets the expiring time (ms) of a certain connection.
`int` | `getIdleExpire()` Gets the idle expiring time (ms) of a certain connection.
`int` | `getIdleTime()` Gets idle time of a certain connection.
`int` | `getInterval()` Gets the retried interval of a certain connection.
`int` | `getLockNumber()` Gets sharing count of a certain connection.
`int` | `getMaxCount()` Gets the maximal connection count of a certain connection.
`int` | `getShare()` Gets the maximal share count of a certain connection.
`int` | `getStartTime()` Gets last user connecting time of a certain connection..
`java.lang.String` | `getUrl()` Gets the URL of a certain connection.
`java.lang.String` | `getUser()` Gets the user name of a certain connection.

Method Detail

### getUrl

    java.lang.String getUrl()

  Gets the URL of a certain connection.

### getUser

    java.lang.String getUser()

  Gets the user name of a certain connection.

### getExpire

    int getExpire()

  Gets the expiring time (ms) of a certain connection.

### getIdleExpire

    int getIdleExpire()

  Gets the idle expiring time (ms) of a certain connection.

### getMaxCount

    int getMaxCount()

  Gets the maximal connection count of a certain connection.

### getShare

    int getShare()

  Gets the maximal share count of a certain connection.

### getAttempt

    int getAttempt()

  Gets the retried count of a certain connection.

### getInterval

    int getInterval()

  Gets the retried interval of a certain connection.

### getStartTime

    int getStartTime()

  Gets last user connecting time of a certain connection..

### getIdleTime

    int getIdleTime()

  Gets idle time of a certain connection.

### getLockNumber

    int getLockNumber()

  Gets sharing count of a certain connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD